D4Science Infrastructure - Task #2261

Better check for data.d4science.org availability
Feb 15, 2016 08:37 PM - Andrea Dell'Amico

Status: Closed Start date: Feb 15, 2016
Priority: Normal Due date:

Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: Nagios monitoring

Infrastructure: Production

Description

Right now there's only a simple tcp check on port 80.
It would be better to have a URL for each of the applications deployed there:
uri-resolver, transect, tree, gis-viewer-app

History

#1 - Feb 15, 2016 08:38 PM - Andrea Dell'Amico

- Assignee changed from Francesco Mangiacrapa to Andrea Dell' Amico

@roberto.cirillo@isti.cnr.it @francesco.mangiacrapa@isti.cnr.it can you provide such URLs?

#2 - Mar 21, 2016 02:49 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:

@roberto.cirillo@isti.cnr.it @francesco.mangiacrapa@isti.cnr.it can you provide such URLs?

No hint?

#3 - Jul 28, 2016 11:09 AM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Jul 28, 2016 11:10 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

For uri-resolver check, I've uploaded a jpg on gCube VRE Folder and I've generated the related public link.
You could use it for checking the uri-resolver service:

http://data.d4science.org/RVICTVIuMOxsZ2F6R2hYM1ZXaE1lmb1VKY1Y5MWEF 1IMOXxHbWJIQNStISON6YZ0
This link download a jpg image.
#5 - Jul 28, 2016 03:12 PM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

- % Done changed from 0 to 90

Added to nagios. You can see the host details here: http://monitoring.research-infrastructures.eu/cgi-bin/nagios3/status.cgi?host=data.d4science.org

#6 - Jul 29, 2016 03:12 PM - Francesco Mangiacrapa

URI to ckeck the gis-viewer-app availability:

1 - http://data.d4science.org/gis-viewer-app/

2 -
http://data.d4science.org/gis-viewer-app/?rid=-8493407009070198075&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructure
s.eu%2Fgeoserver¥%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsardasarda20121220070333401 cet
%0265styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4
326%26format%3Dapplication%2Fopenlayers&uuid=f4ceccc2-a4e5-47e1-8da3-fb128ebeb0de

For the transect you can use:
http://monitoring.research-infrastructures.eu/cgi-bin/nagios3/status.cgi?host=data.d4science.org
http://data.d4science.org/gis-viewer-app/
http://data.d4science.org/gis-viewer-app/?rid=-8493407009070198075&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsardasarda20121220070333401cet%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=f4ceccc2-a4e5-47e1-8da3-fb128ebeb0de
http://data.d4science.org/gis-viewer-app/?rid=-8493407009070198075&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsardasarda20121220070333401cet%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=f4ceccc2-a4e5-47e1-8da3-fb128ebeb0de
http://data.d4science.org/gis-viewer-app/?rid=-8493407009070198075&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsardasarda20121220070333401cet%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=f4ceccc2-a4e5-47e1-8da3-fb128ebeb0de
http://data.d4science.org/gis-viewer-app/?rid=-8493407009070198075&wmsrequest=http%3A%2F%2Fgeoserver3.d4science.research-infrastructures.eu%2Fgeoserver%2Fwms%3Fservice%3Dwms%26version%3D1.1.0%26request%3DGetMap%26layers%3Dlsardasarda20121220070333401cet%26styles%3D%26bbox%3D-180%2C-90%2C180%2C90%26width%3D676%26height%3D330%26srs%3DEPSG%3A4326%26crs%3DEPSG%3A4326%26format%3Dapplication%2Fopenlayers&uuid=f4ceccc2-a4e5-47e1-8da3-fb128ebeb0de

http://data.d4science.org/transect/?x1=-24.96093758&y1=38.49609375&x2=28.828125&y2=60.64453125& SRID=4326&maxelements=1000&minimum

=-1&tablename=Isardasarda20121220070333401cet&biodiversityfield=probability&scope=/d4science.research-infrastructures.eu/gCubeApps/Bio

diversityLab

#7 - Jul 29, 2016 04:18 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Done.
http://data.d4science.org/transect/?x1=-24.9609375&y1=38.49609375&x2=28.828125&y2=60.64453125&SRID=4326&maxelements=1000&minimumgap=-1&tablename=lsardasarda20121220070333401cet&biodiversityfield=probability&scope=/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab
